# List all loan sales

**GET** `/loans/sales`

List loan sales under your platform.

### Query Parameters

- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `loan_id` `string` — Filter loan sales by loan ID.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/loans/sales?loan_id=<loan_id>' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "loan_sales": [
    {
      "id": "lsal_2zF0GMzK4Hme1Q0dPHYGlRyT4zL",
      "created_at": "2025-06-30T19:23:36Z",
      "updated_at": "2025-06-30T19:23:36Z",
      "idempotency_key": null,
      "loan_id": "loan_2zF0GD2UnwmzTgkE2M64NLfPD12",
      "sold_at": "2025-06-30T19:23:36Z",
      "amount": 10000,
      "currency_code": "USD",
      "sold_principal_receivable": "9911",
      "sold_interest_receivable": "99",
      "paid_servicing_fee": "10",
      "purchase_funding_account_number_id": "acno_2zF0GDCQxFUP0QRlrmIRXVwRZAM",
      "description": "Purchase of loan principal and interest receivables"
    },
    {
      "id": "lsal_2zF0GL9EWCErpIhGhCEXY13guGv",
      "created_at": "2025-06-30T19:23:36Z",
      "updated_at": "2025-06-30T19:23:36Z",
      "idempotency_key": null,
      "loan_id": "loan_2zF0GD2UnwmzTgkE2M64NLfPD12",
      "sold_at": "2025-06-30T19:23:36Z",
      "amount": 10000,
      "currency_code": "USD",
      "sold_principal_receivable": "9911",
      "sold_interest_receivable": "99",
      "paid_servicing_fee": "10",
      "purchase_funding_account_number_id": "acno_2zF0GDCQxFUP0QRlrmIRXVwRZAM",
      "description": "Purchase of loan principal and interest receivables"
    }
  ],
  "has_more": true
}
```
